<!-- Creating custom components -->
<!-- http://localhost:3000/isolated/exercise/04.html -->

<body>
  <div id="root"></div>
  <script src="https://unpkg.com/react@17.0.0/umd/react.development.js"></script>
  <script src="https://unpkg.com/react-dom@17.0.0/umd/react-dom.development.js"></script>
  <script src="https://unpkg.com/prop-types@15.7.2/prop-types.js"></script>

  <script src="https://unpkg.com/@babel/standalone@7.12.4/babel.js"></script>
  <script type="text/babel">
    function Message ({subject, greeting}){
      return <div className="message"> {greeting}, {subject}</div>
    }

    Message.propTypes = {
      greeting: PropTypes.string.isRequired,
      subject: PropTypes.string.isRequired,
    }

    // basic
    // const element = (
    //   <div className="container">
    //     {message({children: "Hello World"})}
    //     {message({children: "Goodbye World"})}
    //   </div>
    // )

    // console.log(React.createElement(message, {children: "Hello World"}))
    console.log(React.createElement('div', {children: "Hello World"}))

    // extra 1
    const element = (
      <>
        <Message greeting="Hello" subject="World" />
        <Message greeting="Goodbye" subject="World" />
      </>
    )

    // 💯 This is only the first step to making actual React components. The rest is in the extra credit!
    ReactDOM.render(element, document.getElementById('root'))
  </script>
</body>
